explain_pathconf_or_die(3)

NAME
explain_pathconf_or_die - get configuration values and report errors

SYNOPSIS
#include <libexplain/pathconf.h>

long explain_pathconf_or_die(const char *pathname, int name);

DESCRIPTION
The explain_pathconf_or_die function is used to call the pathconf(3) system call. On failure an explanation will be printed to stderr, obtained from explain_pathconf(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    long value = explain_pathconf_or_die(pathname, name);
Note that a -1 return value is still possible, meaning the system does not have a limit for the requested resource.

pathname
    The pathname, exactly as to be passed to the pathconf(3) system call.

name
    The name, exactly as to be passed to the pathconf(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

pathconf(3)
    get configuration values for files

explain_pathconf(3)
    explain pathconf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller